package sensorconfig

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/model/meta"
)

type Connection struct {
	IP             string               `json:"ip,omitempty"`
	Port           json.Number          `json:"port,Number,omitempty"`
	MetaPortType   *meta.MetaPortType   `json:"metaPortType,omitempty"`
	MetaCryptoType *meta.MetaCryptoType `json:"metaCryptoType,omitempty"`
}
